XltAppAddTimeOut(3X)

NAME
XltAppAddTimeOut, XltRemoveTimeOut, XltTimeOutQuery - register, remove and query timeouts

SYNOPSIS
#include <Xlt/Timer.h>

XltIntervalId XltAppAddTimeOut(app_context, interval, proc, client_data)
	XtAppContext	app_context;
	unsigned long	interval;
	XltTimerCallbackProc	proc;
	XtPointer	client_data;

unsigned long XltRemoveTimeOut(timer)
	XltIntervalId	timer;

unsigned long XltTimeOutQuery(timer)
	XltIntervalId	timer;

DESCRIPTION
XltAppAddTimeOut creates a timeout and returns an identifier for it. The timeout value is set to interval. The callback procedure is called when the interval elapses, and then the timeout is removed.

app_context
    Specifies the application context for which the timer is to be set.

client_data
    Specifies the argument that is to be passed to the specified procedure when done.

interval
    Specifies the time interval in milliseconds.

proc
    Specifies the procedure that is to be called when time expires.

timer
    Specifies the ID for the timeout request to be destroyed/queried.

RETURN VALUE
Returns the XltIntervalId associated with this timer.

RELATED INFORMATION
XtAppAddTimeOut(3X).